View a markdown version of this page

CreateRecoveryPlan - AWS Elastic Disaster Recovery

CreateRecoveryPlan

Creates a Recovery Plan to orchestrate multi-server disaster recovery.

Request Syntax

POST /CreateRecoveryPlan HTTP/1.1 Content-type: application/json { "clientToken": "string", "description": "string", "name": "string", "tags": { "string" : "string" } }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

clientToken

A unique string provided to ensure request idempotency.

Type: String

Length Constraints: Minimum length of 0. Maximum length of 64.

Required: No

description

The description of the Recovery Plan.

Type: String

Length Constraints: Minimum length of 0. Maximum length of 1024.

Required: No

name

The name of the Recovery Plan.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 256.

Pattern: [a-zA-Z0-9][a-zA-Z0-9 _-]*

Required: Yes

tags

The tags to apply to the Recovery Plan.

Type: String to string map

Key Length Constraints: Minimum length of 0. Maximum length of 256.

Value Length Constraints: Minimum length of 0. Maximum length of 256.

Required: No

Response Syntax

HTTP/1.1 201 Content-type: application/json { "recoveryPlan": { "createdAt": "string", "description": "string", "name": "string", "recoveryPlanArn": "string", "status": "string", "tags": { "string" : "string" }, "updatedAt": "string" } }

Response Elements

If the action is successful, the service sends back an HTTP 201 response.

The following data is returned in JSON format by the service.

recoveryPlan

The created Recovery Plan.

Type: RecoveryPlan object

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

You do not have sufficient access to perform this action.

HTTP Status Code: 403

ConflictException

The request could not be completed due to a conflict with the current state of the target resource.

resourceId

The ID of the resource.

resourceType

The type of the resource.

HTTP Status Code: 409

InternalServerException

The request processing has failed because of an unknown error, exception or failure.

retryAfterSeconds

The number of seconds after which the request should be safe to retry.

HTTP Status Code: 500

ServiceQuotaExceededException

The request could not be completed because its exceeded the service quota.

quotaCode

Quota code.

resourceId

The ID of the resource.

resourceType

The type of the resource.

serviceCode

Service code.

HTTP Status Code: 402

ThrottlingException

The request was denied due to request throttling.

quotaCode

Quota code.

retryAfterSeconds

The number of seconds after which the request should be safe to retry.

serviceCode

Service code.

HTTP Status Code: 429

UninitializedAccountException

The account performing the request has not been initialized.

HTTP Status Code: 400

ValidationException

The input fails to satisfy the constraints specified by the AWS service.

fieldList

A list of fields that failed validation.

reason

Validation exception reason.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: